first-class-families-0.8.0.0: First class type families

Safe Haskell | Safe
Language | Haskell2010

Fcf.Data.Symbol

Contents

- Type of symbols

Description

# Symbols

Type-level strings.

Note that the operators from this module conflict with GHC.TypeLits.

`Symbol` also has instances of `(`<>`)` and `MEmpty`.

Synopsis

- data Symbol

# Type of symbols

From GHC.TypeLits.

data Symbol #

#### Instances

Instances details

type MEmpty Source # |
Instance details Defined in Fcf.Class.Monoid type MEmpty = ""
type (x :: Symbol) <> (y :: Symbol) Source # | With base >= 4.10.0.0.
Instance details Defined in Fcf.Class.Monoid type (x :: Symbol) <> (y :: Symbol) = AppendSymbol x y
type Eval (Compare a b :: Ordering -> Type) Source # |
Instance details Defined in Fcf.Class.Ord type Eval (Compare a b :: Ordering -> Type) = CmpSymbol a b